Bug 136065 - bsd.port.mk: NO_MANCOMPRESS=yes works for FreeBSD base, down't work for ports
bsd.port.mk: NO_MANCOMPRESS=yes works for FreeBSD base, down't work for ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 12:50 UTC by killasmurf86
Modified: 2009-12-29 10:30 UTC (History)
0 users

See Also:


Attachments
patch.txt (1.95 KB, text/plain; charset=US-ASCII)
2009-07-07 05:45 UTC, dereckson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description killasmurf86 2009-06-26 12:50:00 UTC
make.conf(5) says, that NO_MANCOMPRESS controls weather user want to compress man pages or not.
It works for Base system. I suppose it should also work for ports, but it doesn't

I suppose NOMANCOMPRESS in /usr/ports/Mk/bsd.port.mk should be renamed to NO_MANCOMPRESS

NO_MANCOMPRESS=yes is very useful for ZFS users, because zfs supports native compression.


Thread on forum:
http://forums.freebsd.org/showthread.php?t=4980

Fix: 

Rename NOMANCOMPRESS to NO_MANCOMPRESS in /usr/ports/Mk/bsd.port.mk

s/NOMANCOMPRESS/NO_MANCOMPRESS/g /usr/ports/Mk/bsd.port.mk
How-To-Repeat: add NO_MANCOMPRESS=yes to make.conf
make some port and check if installed man pages are compressed
Comment 1 Mark Linimon freebsd_committer 2009-06-26 20:12:38 UTC
State Changed
From-To: open->suspended

Mark suspended awaiting someone to generate patches. 


Comment 2 Mark Linimon freebsd_committer 2009-06-26 20:12:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory.
Comment 3 dereckson 2009-07-07 05:45:01 UTC
Here the patch replacing NOMANCOMPRESS by NO_MANCOMPRESS.

Should be tested, as the pr author only supposes it's the way to do.
Comment 4 dereckson 2009-07-07 05:48:11 UTC
This PR is a duplicate of ports/127469.
Comment 5 killasmurf86 2009-07-09 19:06:07 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Patch seams to work :)
i did  pkg_delete cclive....
and after reinstall manpages were uncompressed.
- --
Aldis Berjoza

My public PGP key:
http://keyserver1.pgp.com/vkd/DownloadKey.event?keyid=0xA81349A77ED573D3
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.12 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkpWMY8ACgkQqBNJp37Vc9N3/wCgndXZGI6Z/TAH7Ea6P+T79dFp
//MAn12hQUYKp5NMYVxCl5mzN7E6+rtN
=aPzp
-----END PGP SIGNATURE-----
Comment 6 dfilter freebsd_committer 2009-12-29 10:26:11 UTC
miwi        2009-12-29 10:25:55 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
    devel/bcc            Makefile 
    devel/error          Makefile 
    devel/linux_kdump    Makefile 
    devel/plan9port      Makefile 
    dns/ldns             Makefile 
    editors/mined        Makefile 
    games/wesnoth        Makefile 
    games/wesnoth-devel  Makefile 
    games/xmulti         Makefile 
    games/xscorch        Makefile 
    german/manpages      Makefile 
    lang/erlang          Makefile 
    lang/gcc34           Makefile 
    lang/gnat-gcc41      Makefile 
    lang/gnat-gcc42      Makefile 
    lang/gnat-gcc43      Makefile 
    lang/gnat-gcc44      Makefile 
    misc/freedialog/files patch-aa 
    misc/shuffle         Makefile 
    net/htpdate          Makefile 
    net/mopd             Makefile 
    net/v6eval           Makefile 
    palm/p5-Palm         Makefile 
    ports-mgmt/portbrowser Makefile 
    print/enscriptfonts  Makefile 
    print/perlftlib      Makefile 
    security/qident      Makefile 
    sysutils/dc42wrap    Makefile 
    sysutils/heirloom    Makefile 
    sysutils/readlink    Makefile 
    sysutils/wmpccard    Makefile 
    textproc/freegrep/files patch-aa 
    www/p5-AMF-Perl      Makefile 
    x11/chameleon/files  Makefile 
    x11-toolkits/p5-Prima Makefile 
  Log:
  - Convert NOMANCOMPRESS to NO_MANCOMPRESS to sync with src
  
  PR:     ports/136065 ports/127469
  Submitted by:   N.J. Mann <njm@njm.me.uk> and Aldis Berjoza <killasmurf86@gmail.com>
  
  - Early identify port CONFLICTS
  
  PR:     137855
  Submitted by:           Piotr Smyrak <smyru@heron.pl>
  
  - Add --no-same-permissions to the EXTRACT_AFTER_ARGS command.
  
  Tijl Coosemans has been reported an issue that when root is extracting from the
  tarball, and the tarball contains world writable files
  (sysutils/policykit as an example), there is a chance that the files
  gets changed by malicious third parties right after the extraction,
  which makes it possible to inject code into the package thus compromise
  the system.
  
  Submitted by:   Tijl Coosemans <tijl@coosemans.org> Xin LI (delphij@)
  
  - Fix some whitespaces
  
  Tested with:    exp-run
  
  Revision  Changes    Path
  1.632     +15 -16    ports/Mk/bsd.port.mk
  1.13      +1 -1      ports/devel/bcc/Makefile
  1.5       +1 -1      ports/devel/error/Makefile
  1.31      +1 -1      ports/devel/linux_kdump/Makefile
  1.29      +1 -1      ports/devel/plan9port/Makefile
  1.15      +1 -1      ports/dns/ldns/Makefile
  1.18      +1 -1      ports/editors/mined/Makefile
  1.78      +2 -2      ports/games/wesnoth-devel/Makefile
  1.75      +2 -2      ports/games/wesnoth/Makefile
  1.9       +1 -1      ports/games/xmulti/Makefile
  1.25      +1 -1      ports/games/xscorch/Makefile
  1.24      +1 -1      ports/german/manpages/Makefile
  1.145     +1 -1      ports/lang/erlang/Makefile
  1.252     +1 -1      ports/lang/gcc34/Makefile
  1.13      +1 -1      ports/lang/gnat-gcc41/Makefile
  1.16      +1 -1      ports/lang/gnat-gcc42/Makefile
  1.19      +1 -1      ports/lang/gnat-gcc43/Makefile
  1.3       +1 -1      ports/lang/gnat-gcc44/Makefile
  1.2       +1 -1      ports/misc/freedialog/files/patch-aa
  1.7       +1 -1      ports/misc/shuffle/Makefile
  1.19      +1 -1      ports/net/htpdate/Makefile
  1.17      +1 -1      ports/net/mopd/Makefile
  1.20      +1 -1      ports/net/v6eval/Makefile
  1.9       +1 -1      ports/palm/p5-Palm/Makefile
  1.13      +1 -1      ports/ports-mgmt/portbrowser/Makefile
  1.15      +1 -1      ports/print/enscriptfonts/Makefile
  1.28      +1 -1      ports/print/perlftlib/Makefile
  1.11      +1 -1      ports/security/qident/Makefile
  1.3       +1 -1      ports/sysutils/dc42wrap/Makefile
  1.16      +1 -1      ports/sysutils/heirloom/Makefile
  1.7       +1 -1      ports/sysutils/readlink/Makefile
  1.14      +1 -1      ports/sysutils/wmpccard/Makefile
  1.4       +1 -1      ports/textproc/freegrep/files/patch-aa
  1.9       +1 -1      ports/www/p5-AMF-Perl/Makefile
  1.19      +1 -1      ports/x11-toolkits/p5-Prima/Makefile
  1.2       +1 -1      ports/x11/chameleon/files/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2009-12-29 10:27:32 UTC
miwi        2009-12-29 10:27:15 UTC

  FreeBSD doc repository

  Modified files:
    en_US.ISO8859-1/books/porters-handbook book.sgml 
  Log:
  - Convert NOMANCOMPRESS to NO_MANCOMPRESS to sync with src
  
  PR:             ports/136065 ports/127469
  Submitted by:   N.J. Mann <njm@njm.me.uk> and Aldis Berjoza <killasmurf86@gmail.com>
  
  Revision  Changes    Path
  1.1042    +2 -2      doc/en_US.ISO8859-1/books/porters-handbook/book.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2009-12-29 10:29:06 UTC
State Changed
From-To: suspended->closed

Committed. Thanks!